import { Project } from './Project';
import { Report } from './Report';
import { Resolver, ResolveOptions, MinimalResolveOptions } from './Resolver';
import { DescriptorHash, Descriptor, Locator, Package } from './types';
export declare const IMPORTED_PATTERNS: Array<[RegExp, (version: string, ...args: Array<string>) => string]>;
export declare class LegacyMigrationResolver implements Resolver {
    private readonly resolver;
    private resolutions;
    constructor(resolver: Resolver);
    setup(project: Project, { report }: {
        report: Report;
    }): Promise<void>;
    supportsDescriptor(descriptor: Descriptor, opts: MinimalResolveOptions): boolean;
    supportsLocator(locator: Locator, opts: MinimalResolveOptions): boolean;
    shouldPersistResolution(locator: Locator, opts: MinimalResolveOptions): never;
    bindDescriptor(descriptor: Descriptor, fromLocator: Locator, opts: MinimalResolveOptions): Descriptor;
    getResolutionDependencies(descriptor: Descriptor, opts: MinimalResolveOptions): never[];
    getCandidates(descriptor: Descriptor, dependencies: Map<DescriptorHash, Package>, opts: ResolveOptions): Promise<Locator[]>;
    getSatisfying(descriptor: Descriptor, references: Array<string>, opts: ResolveOptions): Promise<null>;
    resolve(locator: Locator, opts: ResolveOptions): Promise<never>;
}
