# Changelog

All notable changes to this project will be documented in this file.

The format is based on [Keep a Changelog](https://keepachangelog.com/en/1.0.0/)
and this project adheres to [Semantic Versioning](https://semver.org/spec/v2.0.0.html).

Generated by [`auto-changelog`](https://github.com/CookPete/auto-changelog).

## [v2.0.3](https://github.com/ljharb/promise-deferred/compare/v2.0.2...v2.0.3) - 2020-01-14

### Commits

- [Deps] downgrade `promise`, as upgrading it was a breaking change [`b50f4a8`](https://github.com/ljharb/promise-deferred/commit/b50f4a82533c3d13bd25c24be03abf990df80665)

## [v2.0.2](https://github.com/ljharb/promise-deferred/compare/v2.0.1...v2.0.2) - 2020-01-14

### Commits

- Update `tape`, `eslint`, `jscs`; add my personal shared `eslint` config [`7ca9c8d`](https://github.com/ljharb/promise-deferred/commit/7ca9c8dbf83414da876069315e1f5317763867da)
- Add `npm run eslint` [`97e6e47`](https://github.com/ljharb/promise-deferred/commit/97e6e47d61368b9dacac360a947e0d55f3998577)
- [Dev Deps] remove `jscs` [`d263787`](https://github.com/ljharb/promise-deferred/commit/d263787e6154de03979d5a921dd1692bca2f1f31)
- [Tests] use shared travis-ci configs [`5b01bbd`](https://github.com/ljharb/promise-deferred/commit/5b01bbda040388ee5df3adbfa6d66e679096eaaf)
- [Tests] up to `node` `v8.1`; `v7.10`; `v6.11`; `v5.12`, `v4.8`; `io.js` `v3.3`; improve test matrix; npm 4.6+ breaks on node &lt; 1; npm 5+ breaks on node &lt; 4. [`be6ffa0`](https://github.com/ljharb/promise-deferred/commit/be6ffa0d469e536b8b80bb445162f199b5df1b94)
- [meta] add `auto-changelog` [`8df5df8`](https://github.com/ljharb/promise-deferred/commit/8df5df80484f6b503c27eef61dcf02cf10562ac4)
- [Dev Deps] update `jscs`, `eslint`, `@ljharb/eslint-config`, `nsp`, `tape` [`333ba8c`](https://github.com/ljharb/promise-deferred/commit/333ba8c9b261a38e45d98dc0b99dea5b59da9adc)
- Update `tape`, `covert`, `jscs` [`1f2a186`](https://github.com/ljharb/promise-deferred/commit/1f2a1869594cc91f98b0216b5cb62f6b8deb147f)
- Update `eslint` [`b1e9015`](https://github.com/ljharb/promise-deferred/commit/b1e90153e2d270b39b49d5414e070e28383520b2)
- Test up to `io.js` `v2.3` [`4af8785`](https://github.com/ljharb/promise-deferred/commit/4af87852835df30adba850521abe8ca0c4bc5816)
- [actions] add automatic rebasing / merge commit blocking [`000672a`](https://github.com/ljharb/promise-deferred/commit/000672a70e06651d0d7ae5cc52e571534fe70e19)
- [Dev Deps] update `tape`, `jscs`, `eslint` [`c91fd12`](https://github.com/ljharb/promise-deferred/commit/c91fd12b29a09132bba392cde17926a8d6ff0870)
- [Dev Deps] update `eslint`, `@ljharb/eslint-config`, `tape`, `covert` [`f82414c`](https://github.com/ljharb/promise-deferred/commit/f82414c07b74a380a3b9f166a2dbc9928c05bdfe)
- [Dev Deps] update `eslint`, `@ljharb/eslint-config`, `nsp`, `tape` [`4e1dc22`](https://github.com/ljharb/promise-deferred/commit/4e1dc22027a787c727926aad5b9ed351fe235a48)
- Only apps should have lockfiles. [`6a2d7a1`](https://github.com/ljharb/promise-deferred/commit/6a2d7a1fc7b85ef31e794dd6a0c202109ccbd92d)
- Add `npm run security` [`427afe6`](https://github.com/ljharb/promise-deferred/commit/427afe6c4029fad1fdc439d0668147413af617a6)
- All grade A-supported `node`/`iojs` versions now ship with an `npm` that understands `^`. [`5b51d5a`](https://github.com/ljharb/promise-deferred/commit/5b51d5aa201bf4c705a594ebc4c4d7cf712d453d)
- Run `travis-ci` tests on `iojs` and `node` v0.12; speed up builds; allow 0.8 failures. [`a73ba53`](https://github.com/ljharb/promise-deferred/commit/a73ba53406462479dd20f6bf4d29bfb2cd9505a2)
- [readme] remove testling [`a3e7517`](https://github.com/ljharb/promise-deferred/commit/a3e75177fb5b0db8bf8324ba15ddb0b10800cae7)
- [Tests] use `npx aud` instead of `nsp` or `npm audit` with hoops [`5ad1266`](https://github.com/ljharb/promise-deferred/commit/5ad12662402e9a2e214680df1ceeb817ed533620)
- Update `promise`, `tape` [`abb7d6c`](https://github.com/ljharb/promise-deferred/commit/abb7d6c0519d1bd4bb4982ed178dc7f4a8961e0d)
- Test up to `io.js` `v2.5` [`57f75ad`](https://github.com/ljharb/promise-deferred/commit/57f75adf12ab5313f11618f67f1fc760d0b10163)
- Update `tape`, `jscs` [`cf8057c`](https://github.com/ljharb/promise-deferred/commit/cf8057cf3657691358e50d67c2634c8ef80f8eae)
- [Deps] update `promise` [`80c0d66`](https://github.com/ljharb/promise-deferred/commit/80c0d66e96258a09b8fcc15d8b29d567e2624f69)
- [meta] add `funding` field [`f075ee6`](https://github.com/ljharb/promise-deferred/commit/f075ee67c6dc187746d47ea3467bc7bae928ccfb)
- docs(readme): correct markdown [`fe0903a`](https://github.com/ljharb/promise-deferred/commit/fe0903a4ffb507fafa068c6060fdbbcd128c18e7)
- [Dev Deps] update `tape` [`1035c0d`](https://github.com/ljharb/promise-deferred/commit/1035c0d09409e2d2dc4528bdb56507906ba63406)
- Switch from vb.teelaun.ch to versionbadg.es for the npm version badge SVG. [`76e4ad5`](https://github.com/ljharb/promise-deferred/commit/76e4ad56325d59ec7a8f8ba67a60908b4e28deb2)
- Use just the bare es6 promise implementation in `promise`. [`729483b`](https://github.com/ljharb/promise-deferred/commit/729483be4ae451c668c9a35831973b4d4c98c9d2)
- Update `promise` [`66ab6b5`](https://github.com/ljharb/promise-deferred/commit/66ab6b52c3f30e7c9b492846fa3c8c30a32fc515)
- [Deps] remove mistakenly added dep [`148ec27`](https://github.com/ljharb/promise-deferred/commit/148ec27e56e7c149da409e13b8ec042fec56bfd6)
- Test on `io.js` `v3.0` [`e0fd61d`](https://github.com/ljharb/promise-deferred/commit/e0fd61ddb90bd9fcca00c02d095bafe45ca3b760)

## [v2.0.1](https://github.com/ljharb/promise-deferred/compare/v2.0.0...v2.0.1) - 2015-01-20

### Commits

- Using my standard jscs.json file [`e37f90c`](https://github.com/ljharb/promise-deferred/commit/e37f90cc9bdf4c76cd4b93e0b0b3150f9253f30e)
- Naming deps/devDeps URLs in README [`02b6590`](https://github.com/ljharb/promise-deferred/commit/02b65909038a2b716ea3e43475676cf132a44830)
- Update `promise`, `tape`, `jscs` [`402f918`](https://github.com/ljharb/promise-deferred/commit/402f9188ab4e61f03df704c583a4770dd7706f9f)
- Update `promise`, `tape`, `jscs` [`2c07ef6`](https://github.com/ljharb/promise-deferred/commit/2c07ef687809af99d08b7a5f4d31ec832e755be8)
- Naming testling-ci URLs in README [`522df12`](https://github.com/ljharb/promise-deferred/commit/522df12e1ca1058e8520cd3c522a9fc7c33836c6)
- Naming travis-ci URLs in README [`ed13fad`](https://github.com/ljharb/promise-deferred/commit/ed13fadc1631d1a8984a5b0e32584360eb9551d5)
- Naming npm URL in README [`c41f70c`](https://github.com/ljharb/promise-deferred/commit/c41f70c28fa56b26fb583de558626edc00060ca7)
- Update `jscs` [`0adee60`](https://github.com/ljharb/promise-deferred/commit/0adee60ef02bc08bd2979ee3f229b0be12d1262d)
- Update `tape`, `jscs` [`6476094`](https://github.com/ljharb/promise-deferred/commit/64760948066008218b6bf408379bddc7dee803d6)
- Naming npm badge PNG in README [`8033a8a`](https://github.com/ljharb/promise-deferred/commit/8033a8af2a1beca6f889ba8175ff1e78e71654f6)
- Naming npm version SVG in README [`644f945`](https://github.com/ljharb/promise-deferred/commit/644f9451a2673efa1feb25fb573fb1ba8eaa96eb)
- Update `tape` [`04c2606`](https://github.com/ljharb/promise-deferred/commit/04c26063f861581549bebaac14cbab332a5ff951)
- Lock covert to v1.0.0 [`ba4ff7c`](https://github.com/ljharb/promise-deferred/commit/ba4ff7c97232214c59c44cfe19daab52725d8a9b)
- Run tests in strict mode. [`3c5a49e`](https://github.com/ljharb/promise-deferred/commit/3c5a49e50e2f4ba022533a3e048cf1722ab72ade)
- Using consistent quotes. [`832d7c2`](https://github.com/ljharb/promise-deferred/commit/832d7c24e107d722282a2f7451c1577b5a06b7ae)
- Updating jscs [`ddd64c5`](https://github.com/ljharb/promise-deferred/commit/ddd64c5d3bbcf5772aedbd4fe7483d33e9524d58)
- Fixing this equality test [`c1a5ccc`](https://github.com/ljharb/promise-deferred/commit/c1a5ccc9c516d8f925abe2b1fe067fc4cb3a4165)
- Updating tape [`f66ea13`](https://github.com/ljharb/promise-deferred/commit/f66ea13807a1568c562fd7471c09457a3c2ab892)

## [v2.0.0](https://github.com/ljharb/promise-deferred/compare/v1.0.1...v2.0.0) - 2014-09-13

### Commits

- Adding license and downloads badges [`7c245b8`](https://github.com/ljharb/promise-deferred/commit/7c245b8d4e8bff9a1f2263005035102bd7680b0d)
- Updating to v2.0.0 due to a major version bump in "promise" [`788785e`](https://github.com/ljharb/promise-deferred/commit/788785e7c9220eb64fde8047b5e1bb23e170383f)
- Updating promise [`6d3e940`](https://github.com/ljharb/promise-deferred/commit/6d3e9408e882af5a7a204619acf7c3d0c094d24d)
- Updating jscs [`643a8ea`](https://github.com/ljharb/promise-deferred/commit/643a8eab37c389861bd4564c1919804f87583b42)
- Updating jscs [`696d58f`](https://github.com/ljharb/promise-deferred/commit/696d58ffc323bf6a1a63fcc07f536aa342446a89)

## [v1.0.1](https://github.com/ljharb/promise-deferred/compare/v1.0.0...v1.0.1) - 2014-08-28

### Commits

- Adding `npm run lint` [`c3f9047`](https://github.com/ljharb/promise-deferred/commit/c3f90471f33b7231bf4cca64fe0abb851b5c7531)
- USe SVG badges instead of PNG [`44291fb`](https://github.com/ljharb/promise-deferred/commit/44291fbe3a37afdb09e25a178e08fe010f2b71ad)
- Adding a test for Deferred.Promise [`19bfe33`](https://github.com/ljharb/promise-deferred/commit/19bfe33f13146dc9d65091b0d6335d823a84dd09)
- Make the entire module be in strict mode [`8e460da`](https://github.com/ljharb/promise-deferred/commit/8e460da1ec638b07b5f8209f5551ad217fefdbd6)
- Run linter as part of tests. [`6304611`](https://github.com/ljharb/promise-deferred/commit/6304611075da93e04e2562f44484cdd4aa04f1f3)
- Run code coverage checks during tests [`318dd2e`](https://github.com/ljharb/promise-deferred/commit/318dd2e0bb1ad32b71b0774aab052c7d73903a81)
- Updating covert [`035328c`](https://github.com/ljharb/promise-deferred/commit/035328c46379367e6f4bd5b500576ab5a538f12c)

## [v1.0.0](https://github.com/ljharb/promise-deferred/compare/v0.2.0...v1.0.0) - 2014-08-10

### Commits

- Updating tape [`7c75fe2`](https://github.com/ljharb/promise-deferred/commit/7c75fe2e4c9d1ae849ccf7b971d565feaa2ff357)
- Updating tape [`8d61078`](https://github.com/ljharb/promise-deferred/commit/8d61078cc3ea80783000d779af244e1110a5abac)

## [v0.2.0](https://github.com/ljharb/promise-deferred/compare/v0.1.1...v0.2.0) - 2014-04-30

### Commits

- Make sure old and unstable nodes don't break Travis [`04d07f3`](https://github.com/ljharb/promise-deferred/commit/04d07f30a3e317fa1b5cd866c20af428f53ca667)
- Updating "promise" [`043524d`](https://github.com/ljharb/promise-deferred/commit/043524d084b6267df66a4d847db12aba36683920)
- Updating covert [`3ff4f6d`](https://github.com/ljharb/promise-deferred/commit/3ff4f6dc8049260401c2ce2d9beffaf7d6007cc6)
- Updating tape [`014782a`](https://github.com/ljharb/promise-deferred/commit/014782a4b8529299f65a05cb592a2c7798e88a01)

## [v0.1.1](https://github.com/ljharb/promise-deferred/compare/v0.1.0...v0.1.1) - 2014-03-16

### Commits

- Updating dependencies [`67f85fc`](https://github.com/ljharb/promise-deferred/commit/67f85fcf1938a2dc1d94fee0956ce2906a3a871e)
- Adding more Travis coverage [`d16e1d8`](https://github.com/ljharb/promise-deferred/commit/d16e1d8636380f3ef5c64901536464cbb8091030)
- Declare explicit support for node 0.8 and up [`d747193`](https://github.com/ljharb/promise-deferred/commit/d7471932d8358fb087d53b148adea30f15102f50)
- Testing on node 0.6 again [`ba98eda`](https://github.com/ljharb/promise-deferred/commit/ba98edad37f72474fcff10a6a1ba704e403a4f7d)
- Updating covert [`98e3be8`](https://github.com/ljharb/promise-deferred/commit/98e3be81d1295c31368f3903835887ab5e4b74f6)
- Don't test in unstable node just yett [`89f55ed`](https://github.com/ljharb/promise-deferred/commit/89f55ed65f2c8deb77bc625ac6dba9121ac22633)

## v0.1.0 - 2013-12-30

### Commits

- package.json [`d3e375b`](https://github.com/ljharb/promise-deferred/commit/d3e375b2363a7b9e5072f5ff50166d3f38ef58da)
- README [`4f278bb`](https://github.com/ljharb/promise-deferred/commit/4f278bbc40ed8f9a88fc8ac0fcc82fe0d065be16)
- Initial commit [`9f3705e`](https://github.com/ljharb/promise-deferred/commit/9f3705e48e0e5439ae92710251410669b3f1b4c4)
- Tests. [`92772ec`](https://github.com/ljharb/promise-deferred/commit/92772ecbc4db996f9e04bf2dcf8f67fc1bc90c66)
- Implementation. [`b121bd1`](https://github.com/ljharb/promise-deferred/commit/b121bd151086a91ce91118a68e9dfc9a220fc6c7)
- Travis CI [`69b94ea`](https://github.com/ljharb/promise-deferred/commit/69b94ea1d146d26daab7a60353e493a7b1fa498b)
- bump to v0.1.0 [`c666219`](https://github.com/ljharb/promise-deferred/commit/c6662192c0acc84754e882b958e0717c4d6ec331)
